# Class CLN1SectionWritableMetadata

java.lang.Object
com.io7m.calino.vanilla.internal.CLN1SectionWritableAbstract
com.io7m.calino.vanilla.internal.CLN1SectionWritableMetadata

All Implemented Interfaces:
  `CLNSectionWritableMetadataType, CLNSectionWritableStandardType, CLNSectionWritableType, Closeable, AutoCloseable`

public final class CLN1SectionWritableMetadata extends CLN1SectionWritableAbstract implements CLNSectionWritableMetadataType
A writable metadata section.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLN1SectionWritableMetadata(com.io7m.jbssio.api.BSSWriterProviderType inWriters, com.io7m.jbssio.api.BSSWriterRandomAccessType inWriter, CLNWriteRequest inRequest, long inIdentifier, CLNOnCloseOperationType<CLNSectionWritableType> inOnClose)`
  A writable metadata section.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setMetadata(Map<String, List<String>> metadata)`
  Set the keys and values.

  ### Methods inherited from class CLN1SectionWritableAbstract

  `close, identifier, offsetStart, offsetStartData, request, sectionDataChannel`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface CLNSectionWritableType

  `identifier, sectionDataChannel`

  ### Methods inherited from interface Closeable

  `close`

- ## Constructor Details

  - ### CLN1SectionWritableMetadata

    public CLN1SectionWritableMetadata(com.io7m.jbssio.api.BSSWriterProviderType inWriters, com.io7m.jbssio.api.BSSWriterRandomAccessType inWriter, CLNWriteRequest inRequest, long inIdentifier, CLNOnCloseOperationType<CLNSectionWritableType> inOnClose)
    A writable metadata section.
    Parameters:
      `inWriters` - A writer provider
      `inWriter` - A writer
      `inRequest` - A write request
      `inIdentifier` - An identifier
      `inOnClose` - A function executed on closing

- ## Method Details

  - ### setMetadata

    public void setMetadata(Map<String, List<String>> metadata) throws IOException
    Description copied from interface: `CLNSectionWritableMetadataType`
    Set the keys and values.
    Specified by:
      `setMetadata` in interface `CLNSectionWritableMetadataType`
    Parameters:
      `metadata` - The metadata
    Throws:
      `IOException` - On errors